Ir al contenido
Documentación de Endless

Create conversation

POST
/conversations

Creates a conversation and returns the created row.

Authorization

bearerAuth
AuthorizationBearer <token>

JWT token from authentication

In: header

Header Parameters

Endless-Api-Version?string

Pin the caller to an API major (1). Omit to accept the current version. A major this deployment cannot serve is refused with 400 unsupported_api_version.

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

application/json

application/json

application/json

application/json

application/json

application/json

application/json

curl -X POST "https://example.com/conversations" \  -H "Content-Type: application/json" \  -d '{    "organization_id": "string"  }'
{  "chat": {    "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",    "organization_id": "string",    "created_by_id": "string",    "title": "string",    "visibility": "private",    "workspace_role": "viewer",    "project_id": "405d8375-3514-403b-8c43-83ae74cfe0e9",    "active_leaf_id": "c8d08496-126b-4d7c-ab5e-5d8539e8add1",    "schedule_id": "8929bb67-0da1-406c-99d2-5447376a4f58",    "forked_from_conversation_id": "9efa4a3e-b183-495f-84f7-6ee3978206a9",    "message_count": -2147483648,    "last_message_at": "2019-08-24T14:15:22Z",    "active_run_id": "string",    "active_run_at": "2019-08-24T14:15:22Z",    "mod_conversation_id": "string",    "deleted_at": "2019-08-24T14:15:22Z",    "deleted_by_id": "string",    "created_at": "2019-08-24T14:15:22Z",    "updated_at": "2019-08-24T14:15:22Z"  },  "tools_version": "string"}